// pages/problemPage/index.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  Page: 1,
  Size: 10,
  isMore: true,
  data: {
    question: [],
    showEnd: false
  },
  tonext(e) {
    app.globalData.selectQuestion = this.data.question[e.currentTarget.dataset.i] || { list: [] };
    if(app.globalData.selectQuestion.type != 'questionBank'){
      wx.navigateTo({
        url: '/pages/detail/index',
      })
      return
    }
    if (!app.globalData.userInfo || !app.globalData.userInfo.phone) wx.navigateTo({
      url: '/pages/index/index',
    })
    else {
      wx.navigateTo({
        url: '/pages/answerInfo/index',
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData();
  },
  getData() {
    const that = this;
    wx.cloud.callFunction({
      name: "quickstartFunctions",
      data: {
        type: "questionBankList",
        data: {
          Page: that.Page,
          Size: that.Size
        }
      }
    }).then(res => {
      wx.hideLoading();
      if (res.result.code !== 0) return;
      let li = that.data.question || [];
      let newli = res.result.data.list || [];
      if(!newli.length) that.isMore = false;
      li = [...li, ...newli]
      that.setData({
        question: li,
        showEnd: res.result.data.total <= that.Page * that.Size
      })
    }).catch(err => {
      wx.hideLoading({
        success: (res) => {
          wx.showToast({
            title: '服务走丢了~',
            icon: "none"
          })
        },
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    // 添加数据
    if(!this.isMore) return
    this.Page++;
    this.getData()
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})